#include <iostream>
#include <fstream>
#include <string>

#include <QDebug>

using namespace std;

class Link
{
private:
	unsigned int time;
	unsigned char note[9];
	Link* next;
public:
	Link(unsigned int t, unsigned char n);
	unsigned int GetTime();
	unsigned char * GetNotes();
	unsigned char GetNum();
	void SetNext(Link* nx);
	void AddNote(unsigned char n);
	Link* GetNext();
};

class LinkedList
{
private:
	Link* first;
	Link* itt;
public:
	LinkedList();
	~LinkedList();
	void ToFirst();
	Link* GetLink();
	void NextLink();
        bool isEmpty();
        int size();
        void clear();
	void AddLink(unsigned int t, unsigned char n);
};
