#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDebug>
#include <QFileDialog>
#include <QFileInfo>
#include <QFutureWatcher>
#include <QMainWindow>
#include <QMessageBox>

#include <mmstream.h>

#include "converter.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    Converter conv;
    QSound* wsound;
    QString path,path2;

private slots:
    void on_horizontalSlider_sliderReleased();
    void on_horizontalSlider_2_sliderReleased();
    void on_horizontalSlider_valueChanged(int value);
    void on_horizontalSlider_2_valueChanged(int value);
    void on_pushButton_4_clicked();
    void on_pushButton_3_clicked();
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
};

#endif // MAINWINDOW_H
